## tor 0.4.1.6-1~bionic+1+9.0trisquel2

=== debian/changelog ===
tor (0.4.1.6-1~bionic+1+9.0trisquel2) etiona; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 05 Oct 2019 16:01:43 +0000

tor (0.4.1.6-1~bionic+1) bionic-backport; urgency=medium

  * Build for bionic-backport.
  * Remove dh-runit build dependency and --with-runit for backport.

 -- jenkins role account <jenkins@build-x86-07.torproject.org>  Sun, 22 Sep 2019 20:36:53 +0000

tor (0.4.1.6-1) unstable; urgency=medium

  * New upstream version.
  * logrotate snippet: call invoke-rc.d instead of service for
    service status and reload since this seems to be more in line
    with Debian policy.

 -- Peter Palfrader <weasel@debian.org>  Sun, 22 Sep 2019 22:27:48 +0200

tor (0.4.1.5-1) unstable; urgency=medium

  * New upstream version; upload 0.4.1.x to unstable.
  * Fix three typos in README.Debian.
  * Avoid setting DEB_HOST_ARCH_OS in debian/rules as that should be
    pre-initialized nowadays.
  * tor-geoipdb: change from priority extra to optional as the former is
    obsolete.
  * Set Standards-Version to 4.4.0.
  * The fix for #930113, runit support, added an /etc/tor/conf to
    set the ulimit -n when run under runit.  That directory is a bad place.
    It confuses users, nowhere is it apparent that only runit cares about that
    directory and that e.g. sysV or systemd don't.   Get rid of that
    directory and the MAX_FILEDESCRIPTORS file in it and set a reasonable
    default in the runit script if MAX_FILEDESCRIPTORS is not already set.

 -- Peter Palfrader <weasel@debian.org>  Wed, 21 Aug 2019 09:59:54 +0200

tor (0.4.1.4-rc-1) experimental; urgency=medium

  * New upstream version.
  * Use start-stop-daemon in the init script instead of ps.  Using
    ps would require us to depend on procps when all we want is to
    check if a process exists (closes: #932125).
  * Add untested/unsupported runit support (closes: #930113).
    Use the patch provided there, except also fix the backporting scripts,
    change the somewhat low number of FDs to 65536, change a variable
    name as to not suggest this has anything to do with tor authority
    directory servers.

 -- Peter Palfrader <weasel@debian.org>  Fri, 26 Jul 2019 09:32:22 +0200

tor (0.4.1.3-alpha-1) experimental; urgency=medium

  * New upstream tree.

 -- Peter Palfrader <weasel@debian.org>  Mon, 15 Jul 2019 13:24:34 +0200

tor (0.4.0.5-2) unstable; urgency=medium

  * Upload 0.4.0.x tree to unstable.

 -- Peter Palfrader <weasel@debian.org>  Sat, 13 Jul 2019 16:00:05 +0200

tor (0.4.0.5-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Thu, 02 May 2019 20:32:45 +0200

tor (0.4.0.4-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Fri, 12 Apr 2019 13:35:49 +0200

tor (0.4.0.3-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sun, 24 Mar 2019 13:04:49 +0100

tor (0.4.0.2-alpha-1) experimental; urgency=medium

  * New upstream version.
    - Includes a fix for a medium-severity security bug:
      Make KIST consider the outbuf length when computing what it can
      put in the outbuf. Previously, KIST acted as though the outbuf
      were empty, which could lead to the outbuf becoming too full. It
      is possible that an attacker could exploit this bug to cause a Tor
      client or relay to run out of memory and crash. Fixes bug 29168;
      bugfix on 0.3.2.1-alpha. This issue is also being tracked as
      TROVE-2019-001 and CVE-2019-8955.

 -- Peter Palfrader <weasel@debian.org>  Fri, 22 Feb 2019 09:29:07 +0100

tor (0.4.0.1-alpha-1) experimental; urgency=medium

  * New upstream tree.
  * Replace all references to /var/run with /run (closes: #918898).

 -- Peter Palfrader <weasel@debian.org>  Thu, 10 Jan 2019 13:43:32 +0100

=== debian/control ===
Source: tor
Section: net
Priority: optional
Maintainer: Peter Palfrader <weasel@debian.org>
Build-Depends: debhelper (>= 9.20160114), quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386], dh-systemd [linux-any], libsystemd-dev [linux-any], pkg-config [linux-any], libcap-dev [linux-any], dh-autoreconf, liblzma-dev, libzstd-dev
Build-Conflicts: libnacl-dev, libseccomp-dev [!amd64 !i386]
Standards-Version: 4.4.0
Homepage: https://www.torproject.org/
Vcs-Git: https://git.torproject.org/debian/tor.git
Vcs-Browser: https://gitweb.torproject.org/debian/tor.git

Package: tor
Architecture: any
Depends: ${shlibs:Depends}, adduser, ${misc:Depends}, lsb-base
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libssl0.9.8 (<< 0.9.8g-9)
Breaks: ${runit:Breaks}
Recommends: logrotate, tor-geoipdb, torsocks
Suggests: mixmaster, torbrowser-launcher, socat, tor-arm, apparmor-utils, tor-arm, obfs4proxy
Description: anonymizing overlay network for TCP
 Tor is a connection-based low-latency anonymous communication system.
 .
 Clients choose a source-routed path through a set of relays, and
 negotiate a "virtual circuit" through the network, in which each relay
 knows its predecessor and successor, but no others. Traffic flowing
 down the circuit is decrypted at each relay, which reveals the
 downstream relay.
 .
 Basically, Tor provides a distributed network of relays. Users bounce
 their TCP streams (web traffic, ftp, ssh, etc) around the relays, and
 recipients, observers, and even the relays themselves have difficulty
 learning which users connected to which destinations.
 .
 This package enables only a Tor client by default, but it can also be
 configured as a relay and/or a hidden service easily.
 .
 Client applications can use the Tor network by connecting to the local
 socks proxy interface provided by your Tor instance. If the application
 itself does not come with socks support, you can use a socks client
 such as torsocks.
 .
 Note that Tor does no protocol cleaning on application traffic. There
 is a danger that application protocols and associated programs can be
 induced to reveal information about the user. Tor depends on Torbutton
 and similar protocol cleaners to solve this problem. For best
 protection when web surfing, the Tor Project recommends that you use
 the Tor Browser Bundle, a standalone tarball that includes static
 builds of Tor, Torbutton, and a modified Firefox that is patched to fix
 a variety of privacy bugs.

Package: tor-geoipdb
Architecture: all
Priority: optional
Depends: tor (>= ${source:Version}), ${misc:Depends}
Replaces: tor (<< 0.2.4.8)
Breaks: tor (<< 0.2.4.8)
Description: GeoIP database for Tor
 This package provides a GeoIP database for Tor, i.e. it maps IPv4 addresses
 to countries.
 .
 Bridge relays (special Tor relays that aren't listed in the main Tor
 directory) use this information to report which countries they see
 connections from.  These statistics enable the Tor network operators to
 learn when certain countries start blocking access to bridges.
 .
 Clients can also use this to learn what country each relay is in, so
 Tor controllers like arm or Vidalia can use it, or if they want to
 configure path selection preferences.

## tor 0.4.5.7-1~focal+1+10.0trisquel3

=== debian/changelog ===
tor (0.4.5.7-1~focal+1+10.0trisquel3) nabia; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 17 Mar 2021 01:02:53 +0000

tor (0.4.5.7-1~focal+1) focal-backport; urgency=medium

  * Build for focal-backport.

 -- jenkins role account <jenkins@build-x86-06.torproject.org>  Tue, 16 Mar 2021 14:30:37 +0000

tor (0.4.5.7-1) unstable; urgency=high

  * New upstream version, fixes two security issues:
    - Disable the dump_desc() function.
      (TROVE-2021-001 and CVE-2021-28089).
    - Fix a bug in appending detached signatures.
      (TROVE-2021-002 and CVE-2021-28090)

 -- Peter Palfrader <weasel@debian.org>  Tue, 16 Mar 2021 15:01:09 +0100

tor (0.4.5.6-1) unstable; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Tue, 16 Feb 2021 08:43:47 +0100

tor (0.4.5.5-rc-1) unstable; urgency=medium

  * New upstream version.
  * Upload 0.4.5.x tree to unstable; this is the last RC of that tree.
    If all goes well, it will be the next stable, so try to get it some
    more testing.

 -- Peter Palfrader <weasel@debian.org>  Tue, 02 Feb 2021 07:36:28 +0100

tor (0.4.5.4-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Fri, 22 Jan 2021 18:09:28 +0100

tor (0.4.5.3-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Wed, 13 Jan 2021 09:02:04 +0100

tor (0.4.5.2-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Tue, 24 Nov 2020 08:24:24 +0100

tor (0.4.5.1-alpha-1) experimental; urgency=medium

  * New upstream tree.

 -- Peter Palfrader <weasel@debian.org>  Mon, 02 Nov 2020 12:51:15 +0100

tor (0.4.4.5-1) unstable; urgency=medium

  * Upload 0.4.4.x tree to unstable.
  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Tue, 15 Sep 2020 15:39:59 +0200

tor (0.4.4.4-rc-1) experimental; urgency=medium

  * New upstream version.
  * Drop build dependency on (now obsolete) dh-systemd and instead raise
    the debhelper versioned dependency to >= 9.20160114 from >= 9.20160709
    (closes: #958622).

 -- Peter Palfrader <weasel@debian.org>  Sat, 05 Sep 2020 13:33:31 +0200

tor (0.4.4.2-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Mon, 13 Jul 2020 15:08:23 +0200

tor (0.4.4.1-alpha-1) experimental; urgency=medium

  * New upstream tree.

 -- Peter Palfrader <weasel@debian.org>  Mon, 22 Jun 2020 08:00:16 +0200

tor (0.4.3.5-1) unstable; urgency=medium

  * Upload 0.4.3.x tree to unstable.
  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Fri, 15 May 2020 15:01:38 +0200

tor (0.4.3.4-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Tue, 14 Apr 2020 07:40:28 +0200

tor (0.4.3.2-alpha-1) experimental; urgency=medium

  * New upstream tree.

 -- Peter Palfrader <weasel@debian.org>  Tue, 11 Feb 2020 08:18:43 +0100

tor (0.4.2.6-1) unstable; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Fri, 31 Jan 2020 10:15:07 +0100

tor (0.4.2.5-1) unstable; urgency=medium

  * Upload 0.4.2.x tree to unstable.
  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Mon, 16 Dec 2019 10:24:22 +0100

tor (0.4.2.4-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Tue, 19 Nov 2019 17:54:04 +0100

tor (0.4.2.3-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Fri, 25 Oct 2019 08:28:11 +0200

tor (0.4.2.2-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Mon, 07 Oct 2019 16:25:46 +0200

tor (0.4.2.1-alpha-1) experimental; urgency=medium

  * New upstream tree; target experimental
  * logrotate snippet: call invoke-rc.d instead of service for
    service status and reload since this seems to be more in line
    with Debian policy.

 -- Peter Palfrader <weasel@debian.org>  Thu, 19 Sep 2019 12:01:47 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DH_VERBOSE ?= 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# allow building against libdmalloc4 - it better be installed
ifneq (,$(findstring with-dmalloc,$(DEB_BUILD_OPTIONS)))
	confflags += --with-dmalloc
endif
# allow building with --enable-openbsd-malloc
ifneq (,$(findstring enable-openbsd-malloc,$(DEB_BUILD_OPTIONS)))
	confflags += --enable-openbsd-malloc
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
	dhoptions += --with systemd
	confflags += --enable-systemd
endif

%:
	dh \
		$@ \
		--with quilt \
		--with autoreconf \
		--with runit \
		$(dhoptions) \
		--builddirectory=build \
		--parallel

override_dh_auto_configure:
	! [ -e debian/micro-revision.i ] || cp debian/micro-revision.i ./micro-revision.i
	dh_auto_configure -- \
		$(confflags) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--localstatedir=/var \
		--sysconfdir=/etc \
		--disable-silent-rules \
		--enable-gcc-warnings-advisory

override_dh_clean:
	! [ -e debian/micro-revision.i ] || rm -f ./micro-revision.i

	# Normally the .deb wouldn't ship with a ../.git, but if we do, include the revision number
	if [ -d .git ] && which git >/dev/null; then \
		echo "\"`git rev-parse --short=16 HEAD`\"" > "debian/micro-revision.i" ; \
	fi

	# these get autobuilt from the .txt files, some of which we also patch
	rm -vf doc/*.in
	rm -f debian/tor-instance-create.8

	dh_clean

override_dh_auto_build:
	dh_auto_build
	a2x -f manpage debian/tor-instance-create.8.txt
	chmod +x debian/systemd/tor-generator

override_dh_install-arch:
	dh_install --fail-missing

	rm debian/tor/etc/tor/torrc.sample
	cp build/src/config/torrc.minimal debian/tor/etc/tor/torrc

	cp debian/tor.apparmor-profile             debian/tor/etc/apparmor.d/system_tor
	cp debian/tor.apparmor-profile.abstraction debian/tor/etc/apparmor.d/abstractions/tor
	dh_apparmor --profile-name=system_tor -ptor

override_dh_strip:
	dh_strip --dbgsym-migration='tor-dbg (<< 0.3.1.5-alpha)'
override_dh_installinit:
	dh_installinit --error-handler=tor_error_init

## tor 0.4.5.9-1~bionic+1+9.0trisquel3

=== debian/changelog ===
tor (0.4.5.9-1~bionic+1+9.0trisquel3) etiona; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 18 Jun 2021 12:36:37 +0000

tor (0.4.5.9-1~bionic+1) bionic-backport; urgency=medium

  * Build for bionic-backport.
  * Remove dh-runit build dependency and --with-runit for backport.

 -- jenkins role account <jenkins@build-x86-11.torproject.org>  Fri, 18 Jun 2021 09:16:37 +0000

tor (0.4.5.9-1) unstable; urgency=medium

  * New upstream version, fixing several (security) issues (closes: #990000).
     For a full list see the upstream changelog.  It includes:
    - Don't allow relays to spoof RELAY_END or RELAY_RESOLVED cell on
      half-closed streams. Previously, clients failed to validate which
      hop sent these cells: this would allow a relay on a circuit to end
      a stream that wasn't actually built with it.
      Bugfix on 0.3.5.1-alpha. This issue is also tracked as TROVE-2021-
      003 and CVE-2021-34548.
    - Detect more failure conditions from the OpenSSL RNG code.
      Previously, we would detect errors from a missing RNG
      implementation, but not failures from the RNG code itself.
      Fortunately, it appears those failures do not happen in practice
      when Tor is using OpenSSL's default RNG implementation.
      Bugfix on 0.2.8.1-alpha. This issue is also tracked as
      TROVE-2021-004. Reported by Jann Horn at Google's Project Zero.
    - Resist a hashtable-based CPU denial-of-service attack against
      relays. Previously we used a naive unkeyed hash function to look
      up circuits in a circuitmux object. An attacker could exploit this
      to construct circuits with chosen circuit IDs, to create
      collisions and make the hash table inefficient. Now we use a
      SipHash construction here instead. Bugfix on
      0.2.4.4-alpha. This issue is also tracked as TROVE-2021-005 and
      CVE-2021-34549. Reported by Jann Horn from Google's Project Zero.
    - Fix an out-of-bounds memory access in v3 onion service descriptor
      parsing. An attacker could exploit this bug by crafting an onion
      service descriptor that would crash any client that tried to visit
      it. Bugfix on 0.3.0.1-alpha. This issue is also
      tracked as TROVE-2021-006 and CVE-2021-34550. Reported by Sergei
      Glazunov from Google's Project Zero.

 -- Peter Palfrader <weasel@debian.org>  Fri, 18 Jun 2021 11:06:56 +0200

tor (0.4.5.8-1) unstable; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Wed, 19 May 2021 08:51:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Peter Palfrader <weasel@debian.org>
-Build-Depends: debhelper (>= 9.20160114), quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386], dh-systemd [linux-any], libsystemd-dev [linux-any], pkg-config [linux-any], libcap-dev [linux-any], dh-autoreconf, liblzma-dev, libzstd-dev
+Build-Depends: debhelper (>= 9.20160709), quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386], libsystemd-dev [linux-any], pkg-config [linux-any], libcap-dev [linux-any], dh-autoreconf, liblzma-dev, libzstd-dev
 Build-Conflicts: libnacl-dev, libseccomp-dev [!amd64 !i386]
 Standards-Version: 4.4.0
 Homepage: https://www.torproject.org/

## tor 0.4.5.10-1~focal+1+10.0trisquel3

=== debian/changelog ===
tor (0.4.5.10-1~focal+1+10.0trisquel3) nabia; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 18 Aug 2021 00:37:29 +0000

tor (0.4.5.10-1~focal+1) focal-backport; urgency=medium

  * Build for focal-backport.

 -- jenkins role account <jenkins@build-x86-05.torproject.org>  Tue, 17 Aug 2021 17:50:17 +0000

tor (0.4.5.10-1) unstable; urgency=medium

  * New upstream version.
    - Resolve an assertion failure caused by a behavior mismatch between our
      batch-signature verification code and our single-signature verification
      code. This assertion failure could be triggered remotely, leading to a
      denial of service attack. We fix this issue by disabling batch
      verification. Fixes bug 40078; bugfix on 0.2.6.1-alpha. This issue is
      also tracked as TROVE-2021-007 and CVE-2021-38385. Found by Henry de
      Valence.

 -- Peter Palfrader <weasel@debian.org>  Tue, 17 Aug 2021 19:34:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Peter Palfrader <weasel@debian.org>
-Build-Depends: debhelper (>= 9.20160709), quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386], libsystemd-dev [linux-any], pkg-config [linux-any], libcap-dev [linux-any], dh-autoreconf, liblzma-dev, libzstd-dev
+Build-Depends: debhelper (>= 9.20160709), quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386], libsystemd-dev [linux-any], pkg-config [linux-any], libcap-dev [linux-any], dh-autoreconf, liblzma-dev, libzstd-dev, dh-runit (>= 2.8.8)
 Build-Conflicts: libnacl-dev, libseccomp-dev [!amd64 !i386]
 Standards-Version: 4.4.0
 Homepage: https://www.torproject.org/

## tor 0.4.5.10-1~xenial+1+8.0trisquel1

=== debian/changelog ===
tor (0.4.5.10-1~xenial+1+8.0trisquel1) flidas; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 18 Aug 2021 00:36:56 +0000

tor (0.4.5.10-1~xenial+1) xenial-backport; urgency=medium

  * Build for xenial-backport.
  * Restore build-dependency on dh-systemd and lower debhelper version
    requirement to 9.20160114
  * Remove dh-runit build dependency and --with-runit for backport.

 -- jenkins role account <jenkins@build-x86-05.torproject.org>  Tue, 17 Aug 2021 17:49:59 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Peter Palfrader <weasel@debian.org>
-Build-Depends: debhelper (>= 9.20160709), quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386], libsystemd-dev [linux-any], pkg-config [linux-any], libcap-dev [linux-any], dh-autoreconf, liblzma-dev, libzstd-dev, dh-runit (>= 2.8.8)
+Build-Depends: debhelper (>= 9.20160114), dh-systemd [linux-any], quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386], libsystemd-dev [linux-any], pkg-config [linux-any], libcap-dev [linux-any], dh-autoreconf, liblzma-dev, libzstd-dev
 Build-Conflicts: libnacl-dev, libseccomp-dev [!amd64 !i386]
 Standards-Version: 4.4.0
 Homepage: https://www.torproject.org/

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 		$@ \
 		--with quilt \
 		--with autoreconf \
-		--with runit \
+		 \
 		$(dhoptions) \
 		--builddirectory=build \
 		--parallel

## tor 0.4.5.16

=== src/ext/timeouts/Makefile ===
# NOTE: GNU Make 3.81 won't export MAKEFLAGS if .POSIX is specified, but
# Solaris make won't export MAKEFLAGS unless .POSIX is specified.
$(firstword ignore).POSIX:

.DEFAULT_GOAL = all

.SUFFIXES:

all:

#
# USER-MODIFIABLE MACROS
#
top_srcdir = .
top_builddir = .

CFLAGS = -O2 -march=native -g -Wall -Wextra -Wno-unused-parameter -Wno-unused-function
SOFLAGS = $$(auto_soflags)
LIBS = $$(auto_libs)

ALL_CPPFLAGS = -I$(top_srcdir) -DWHEEL_BIT=$(WHEEL_BIT) -DWHEEL_NUM=$(WHEEL_NUM) $(CPPFLAGS)
ALL_CFLAGS = $(CFLAGS)
ALL_SOFLAGS = $(SOFLAGS)
ALL_LDFLAGS = $(LDFLAGS)
ALL_LIBS = $(LIBS)

LUA_API = 5.3
LUA = lua
LUA51_CPPFLAGS = $(LUA_CPPFLAGS)
LUA52_CPPFLAGS = $(LUA_CPPFLAGS)
LUA53_CPPFLAGS = $(LUA_CPPFLAGS)

WHEEL_BIT = 6
WHEEL_NUM = 4

RM = rm -f

# END MACROS

SHRC = \
	top_srcdir="$(top_srcdir)"; \
	top_builddir="$(top_builddir)"; \
	. "$${top_srcdir}/Rules.shrc"

LUA_APIS = 5.1 5.2 5.3

include $(top_srcdir)/lua/Rules.mk
include $(top_srcdir)/bench/Rules.mk

all: test-timeout

timeout.o: $(top_srcdir)/timeout.c
test-timeout.o: $(top_srcdir)/test-timeout.c

timeout.o test-timeout.o:
	@$(SHRC); echo_cmd $(CC) $(ALL_CFLAGS) -c -o $@ $${top_srcdir}/$(@F:%.o=%.c) $(ALL_CPPFLAGS)

test-timeout: timeout.o test-timeout.o
	@$(SHRC); echo_cmd $(CC) $(ALL_CPPFLAGS) $(ALL_CFLAGS) -o $@ timeout.o test-timeout.o

.PHONY: clean clean~

clean:
	$(RM) $(top_builddir)/test-timeout $(top_builddir)/*.o
	$(RM) -r $(top_builddir)/*.dSYM

clean~:
	find $(top_builddir) $(top_srcdir) -name "*~" -exec $(RM) -- {} "+"

## tor 0.4.6.8-1~focal+1+10.0trisquel3

=== debian/changelog ===
tor (0.4.6.8-1~focal+1+10.0trisquel3) nabia; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 31 Oct 2021 18:36:43 +0000

tor (0.4.6.8-1~focal+1) focal-backport; urgency=medium

  * Build for focal-backport.

 -- jenkins role account <jenkins@build-x86-05.torproject.org>  Sun, 31 Oct 2021 15:18:22 +0000

tor (0.4.6.8-1) unstable; urgency=medium

  * Upload 0.4.6.x tree to unstable.
  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sun, 31 Oct 2021 13:35:00 +0100

tor (0.4.6.7-1) experimental; urgency=medium

  * New upstream version.
    - Resolve an assertion failure caused by a behavior mismatch between our
      batch-signature verification code and our single-signature verification
      code. This assertion failure could be triggered remotely, leading to a
      denial of service attack. We fix this issue by disabling batch
      verification. Fixes bug 40078; bugfix on 0.2.6.1-alpha. This issue is
      also tracked as TROVE-2021-007 and CVE-2021-38385. Found by Henry de
      Valence.
  * Raise debian/compat from 9 to 10.

 -- Peter Palfrader <weasel@debian.org>  Thu, 19 Aug 2021 20:28:49 +0200

tor (0.4.6.6-1) experimental; urgency=medium

  * New upstream version.
  * Update Suggests: from tor-arm to nyx (closes: #991012).

 -- Peter Palfrader <weasel@debian.org>  Tue, 13 Jul 2021 09:55:23 +0200

tor (0.4.6.5-1) experimental; urgency=medium

  * New upstream version, fixing several (security) issues (closes: #990000).
    For a full list see the upstream changelog.  It includes:
    - Don't allow relays to spoof RELAY_END or RELAY_RESOLVED cell on
      half-closed streams. Previously, clients failed to validate which
      hop sent these cells: this would allow a relay on a circuit to end
      a stream that wasn't actually built with it.
      Bugfix on 0.3.5.1-alpha. This issue is also tracked as TROVE-2021-
      003 and CVE-2021-34548.
    - Detect more failure conditions from the OpenSSL RNG code.
      Previously, we would detect errors from a missing RNG
      implementation, but not failures from the RNG code itself.
      Fortunately, it appears those failures do not happen in practice
      when Tor is using OpenSSL's default RNG implementation.
      Bugfix on 0.2.8.1-alpha. This issue is also tracked as
      TROVE-2021-004. Reported by Jann Horn at Google's Project Zero.
    - Resist a hashtable-based CPU denial-of-service attack against
      relays. Previously we used a naive unkeyed hash function to look
      up circuits in a circuitmux object. An attacker could exploit this
      to construct circuits with chosen circuit IDs, to create
      collisions and make the hash table inefficient. Now we use a
      SipHash construction here instead. Bugfix on
      0.2.4.4-alpha. This issue is also tracked as TROVE-2021-005 and
      CVE-2021-34549. Reported by Jann Horn from Google's Project Zero.
    - Fix an out-of-bounds memory access in v3 onion service descriptor
      parsing. An attacker could exploit this bug by crafting an onion
      service descriptor that would crash any client that tried to visit
      it. Bugfix on 0.3.0.1-alpha. This issue is also
      tracked as TROVE-2021-006 and CVE-2021-34550. Reported by Sergei
      Glazunov from Google's Project Zero.

 -- Peter Palfrader <weasel@debian.org>  Fri, 18 Jun 2021 11:57:06 +0200

tor (0.4.6.4-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Thu, 03 Jun 2021 14:12:41 +0200

tor (0.4.6.3-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Mon, 10 May 2021 16:47:40 +0200

tor (0.4.6.2-alpha-1) experimental; urgency=medium

  * New upstream tree.

 -- Peter Palfrader <weasel@debian.org>  Thu, 06 May 2021 15:19:54 +0200

## tor 0.4.6.9-1~focal+1+10.0trisquel3

=== debian/changelog ===
tor (0.4.6.9-1~focal+1+10.0trisquel3) nabia; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 21 Dec 2021 00:35:13 +0000

tor (0.4.6.9-1~focal+1) focal-backport; urgency=medium

  * Build for focal-backport.

 -- Peter Palfrader <build@runner-z-xpnzf2-project-1218-concurrent-0>  Sun, 19 Dec 2021 11:19:59 +0000

tor (0.4.6.9-1) unstable; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sun, 19 Dec 2021 10:52:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Peter Palfrader <weasel@debian.org>
-Build-Depends: debhelper (>= 9.20160114), dh-systemd [linux-any], quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386], libsystemd-dev [linux-any], pkg-config [linux-any], libcap-dev [linux-any], dh-autoreconf, liblzma-dev, libzstd-dev
+Build-Depends: debhelper (>= 10), quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386], libsystemd-dev [linux-any], pkg-config [linux-any], libcap-dev [linux-any], dh-autoreconf, liblzma-dev, libzstd-dev, dh-runit (>= 2.8.8)
 Build-Conflicts: libnacl-dev, libseccomp-dev [!amd64 !i386]
 Standards-Version: 4.4.0
 Homepage: https://www.torproject.org/
@@ -16,7 +16,7 @@
 Conflicts: libssl0.9.8 (<< 0.9.8g-9)
 Breaks: ${runit:Breaks}
 Recommends: logrotate, tor-geoipdb, torsocks
-Suggests: mixmaster, torbrowser-launcher, socat, tor-arm, apparmor-utils, tor-arm, obfs4proxy
+Suggests: mixmaster, torbrowser-launcher, socat, apparmor-utils, nyx, obfs4proxy
 Description: anonymizing overlay network for TCP
  Tor is a connection-based low-latency anonymous communication system.
  .

## tor 0.4.6.10-1~bionic%2B1%2B9.0trisquel3

=== debian/changelog ===
tor (0.4.6.10-1~bionic+1+9.0trisquel3) etiona; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 27 Feb 2022 18:36:21 +0000

tor (0.4.6.10-1~bionic+1) bionic-backport; urgency=medium

  * Build for bionic-backport.
  * Remove dh-runit build dependency and --with-runit for backport.

 -- Peter Palfrader <build@runner-qlbl8xrr-project-1218-concurrent-1>  Sun, 27 Feb 2022 13:21:29 +0000

tor (0.4.6.10-1) unstable; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sun, 27 Feb 2022 13:58:14 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Peter Palfrader <weasel@debian.org>
-Build-Depends: debhelper (>= 10), quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386], libsystemd-dev [linux-any], pkg-config [linux-any], libcap-dev [linux-any], dh-autoreconf, liblzma-dev, libzstd-dev, dh-runit (>= 2.8.8)
+Build-Depends: debhelper (>= 10), quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386], libsystemd-dev [linux-any], pkg-config [linux-any], libcap-dev [linux-any], dh-autoreconf, liblzma-dev, libzstd-dev
 Build-Conflicts: libnacl-dev, libseccomp-dev [!amd64 !i386]
 Standards-Version: 4.4.0
 Homepage: https://www.torproject.org/

## tor 0.4.6.10-1~focal+1+10.0trisquel3

=== debian/changelog ===
tor (0.4.6.10-1~focal+1+10.0trisquel3) nabia; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 27 Feb 2022 18:36:57 +0000

tor (0.4.6.10-1~focal+1) focal-backport; urgency=medium

  * Build for focal-backport.

 -- Peter Palfrader <build@runner-qlbl8xrr-project-1218-concurrent-1>  Sun, 27 Feb 2022 13:21:32 +0000

## tor 0.4.7.7-1~focal+1+10.0trisquel3

=== debian/changelog ===
tor (0.4.7.7-1~focal+1+10.0trisquel3) nabia; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 30 Apr 2022 00:36:25 +0000

tor (0.4.7.7-1~focal+1) focal-backport; urgency=medium

  * Build for focal-backport.

 -- Peter Palfrader <build@runner-itnkf9nt-project-1218-concurrent-0>  Thu, 28 Apr 2022 21:27:51 +0000

tor (0.4.7.7-1) unstable; urgency=medium

  * Upload 0.4.7.x tree to unstable.
  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Wed, 27 Apr 2022 23:52:43 +0200

tor (0.4.7.6-rc-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Mon, 25 Apr 2022 20:55:00 +0200

tor (0.4.7.5-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Fri, 25 Mar 2022 20:21:04 +0100

tor (0.4.7.4-alpha-1) experimental; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sat, 26 Feb 2022 22:01:37 +0100

tor (0.4.7.3-alpha-1) experimental; urgency=medium

  * New upstream tree.

 -- Peter Palfrader <weasel@debian.org>  Sun, 19 Dec 2021 21:59:38 +0100

## tor 0.4.7.8-1~focal+1+10.0trisquel3

=== debian/changelog ===
tor (0.4.7.8-1~focal+1+10.0trisquel3) nabia; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 20 Jun 2022 14:16:11 +0000

tor (0.4.7.8-1~focal+1) focal-backport; urgency=medium

  * Build for focal-backport.

 -- Peter Palfrader <build@runner-2s-xnjz-project-1218-concurrent-0>  Sun, 19 Jun 2022 13:11:03 +0000

tor (0.4.7.8-1) unstable; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sun, 19 Jun 2022 14:19:53 +0200

## tor 0.4.7.10-1~focal+1+10.0trisquel3

=== debian/changelog ===
tor (0.4.7.10-1~focal+1+10.0trisquel3) nabia; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 18 Aug 2022 00:37:47 +0000

tor (0.4.7.10-1~focal+1) focal-backport; urgency=medium

  * Build for focal-backport.

 -- Peter Palfrader <build@runner-qlbl8xrr-project-1218-concurrent-0>  Wed, 17 Aug 2022 19:34:27 +0000

tor (0.4.7.10-1) unstable; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Wed, 17 Aug 2022 21:26:27 +0200

tor (0.4.7.9-1) unstable; urgency=medium

  [ Pier Angelo Vendrame ]
  * Update apparmor policy to allow running snowflake-client.

  [ Peter Palfrader ]
  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Thu, 11 Aug 2022 17:47:24 +0200

## tor 0.4.7.13-1~bionic%2B1%2B9.0trisquel3

=== debian/changelog ===
tor (0.4.7.13-1~bionic+1+9.0trisquel3) etiona; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 12 Jan 2023 21:42:11 +0000

tor (0.4.7.13-1~bionic+1) bionic-backport; urgency=medium

  * Build for bionic-backport.
  * Remove dh-runit build dependency and --with-runit for backport.

 -- Peter Palfrader <build@runner-phapauut-project-1218-concurrent-0>  Thu, 12 Jan 2023 17:37:45 +0000

tor (0.4.7.13-1) unstable; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Thu, 12 Jan 2023 18:31:32 +0100

tor (0.4.7.12-1) unstable; urgency=medium

  * New upstream version.
  * Put tor services after network-online.target instead of after
    network.target (re: tpo/core/tor#40679).

 -- Peter Palfrader <weasel@debian.org>  Sat, 10 Dec 2022 17:15:53 +0100

tor (0.4.7.11-1) unstable; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sat, 12 Nov 2022 09:58:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tor
 Section: net
 Priority: optional
-Maintainer: Peter Palfrader <weasel@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper (>= 10), quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386], libsystemd-dev [linux-any], pkg-config [linux-any], libcap-dev [linux-any], dh-autoreconf, liblzma-dev, libzstd-dev
 Build-Conflicts: libnacl-dev, libseccomp-dev [!amd64 !i386]
 Standards-Version: 4.4.0

=== debian/rules ===
--- 
+++ 
@@ -49,8 +49,6 @@
 		echo "\"`git rev-parse --short=16 HEAD`\"" > "debian/micro-revision.i" ; \
 	fi
 
-	# these get autobuilt from the .txt files, some of which we also patch
-	rm -vf doc/*.in
 	rm -f debian/tor-instance-create.8
 
 	dh_clean

## tor 0.4.7.13-1~jammy+1+11.0trisquel3

=== debian/changelog ===
tor (0.4.7.13-1~jammy+1+11.0trisquel3) aramo; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 12 Jan 2023 21:41:52 +0000

tor (0.4.7.13-1~jammy+1) jammy-backport; urgency=medium

  * Build for jammy-backport.

 -- Peter Palfrader <build@runner-phapauut-project-1218-concurrent-0>  Thu, 12 Jan 2023 17:37:52 +0000

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 		$@ \
 		--with quilt \
 		--with autoreconf \
-		 \
+		--with runit \
 		$(dhoptions) \
 		--builddirectory=build \
 		--parallel

## tor 0.4.8.13-2~focal%2B1%2B10.0trisquel3

=== debian/changelog ===
tor (0.4.8.13-2~focal+1+10.0trisquel3) nabia; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 23 Nov 2024 06:01:33 +0000

tor (0.4.8.13-2~focal+1) focal-backport; urgency=medium

  * Build for focal-backport.
  * Keep systemd files in /lib (as opposed to /usr/lib)

 -- Peter Palfrader <build@runner-1yuaft6r-project-1218-concurrent-0>  Fri, 01 Nov 2024 08:02:42 +0000

tor (0.4.8.13-2) unstable; urgency=medium

  * Incorporate work by Helmut Grohne, Chris Hofstaedtler and others to
    install systemd services into /usr (DEP17 M2; closes: #1073748).

 -- Peter Palfrader <weasel@debian.org>  Thu, 31 Oct 2024 19:49:08 +0100

tor (0.4.8.13-1) unstable; urgency=medium

  * New upstream version.
  * Include patch from
    https://gitlab.torproject.org/tpo/core/tor/-/merge_requests/821
    to make sandboxing work again in some cases.

 -- Peter Palfrader <weasel@debian.org>  Mon, 28 Oct 2024 20:13:37 +0100

tor (0.4.8.12-1) unstable; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Thu, 06 Jun 2024 16:47:06 +0200

tor (0.4.8.11-1) unstable; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Fri, 12 Apr 2024 09:22:56 +0200

tor (0.4.8.10-1) unstable; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sun, 10 Dec 2023 20:09:09 +0100

tor (0.4.8.9-1) unstable; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Fri, 10 Nov 2023 18:29:41 +0100

tor (0.4.8.8-1) unstable; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sun, 05 Nov 2023 18:58:59 +0100

tor (0.4.8.7-1) unstable; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Wed, 04 Oct 2023 19:58:14 +0200

tor (0.4.8.6-1) unstable; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Mon, 18 Sep 2023 20:07:19 +0200

tor (0.4.8.5-1) unstable; urgency=medium

  * New upstream version.
  * Retire postinst code that deals with broken keys from 2008
    and apparmor migrations from 2012.
  * tor.postinst: use command -v in place of which.

 -- Peter Palfrader <weasel@debian.org>  Wed, 30 Aug 2023 20:19:26 +0200

tor (0.4.8.4-2) unstable; urgency=medium

  * Enable building with the Proof-of-Work feature by configuring with
    --enable-gpl.  Note that this causes the resulting binary to be covered
    by the GPL.

 -- Peter Palfrader <weasel@debian.org>  Thu, 24 Aug 2023 08:02:38 +0200

tor (0.4.8.4-1) unstable; urgency=medium

  * New upstream tree.

 -- Peter Palfrader <weasel@debian.org>  Wed, 23 Aug 2023 21:51:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-Build-Depends: debhelper (>= 10), quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386], libsystemd-dev [linux-any], pkg-config [linux-any], libcap-dev [linux-any], dh-autoreconf, liblzma-dev, libzstd-dev
+Build-Depends: debhelper (>= 10), quilt, libssl-dev, zlib1g-dev, libevent-dev (>= 1.1), asciidoc (>= 8.2), docbook-xml, docbook-xsl, xmlto, dh-apparmor, libseccomp-dev [amd64 i386], libsystemd-dev [linux-any], pkg-config [linux-any], libcap-dev [linux-any], dh-autoreconf, liblzma-dev, libzstd-dev, dh-runit (>= 2.8.8)
 Build-Conflicts: libnacl-dev, libseccomp-dev [!amd64 !i386]
 Standards-Version: 4.4.0
 Homepage: https://www.torproject.org/

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,8 @@
 		--localstatedir=/var \
 		--sysconfdir=/etc \
 		--disable-silent-rules \
-		--enable-gcc-warnings-advisory
+		--enable-gcc-warnings-advisory \
+		--enable-gpl
 
 override_dh_clean:
 	! [ -e debian/micro-revision.i ] || rm -f ./micro-revision.i

=== debian/tests/control ===
Tests: download-release-file
Depends: tor, netcat-openbsd, torsocks, curl, ca-certificates
# we need network
# Restrictions: isolation-container

Tests: setup-onion-service
Depends: tor, netcat-openbsd, torsocks, curl, onionshare, colorized-logs, unzip, diffutils
Restrictions: flaky

## tor 0.4.8.16-1~jammy+1+11.0trisquel3

=== debian/changelog ===
tor (0.4.8.16-1~jammy+1+11.0trisquel3) aramo; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 26 Mar 2025 22:13:49 +0000

tor (0.4.8.16-1~jammy+1) jammy-backport; urgency=medium

  * Build for jammy-backport.
  * Keep systemd files in /lib (as opposed to /usr/lib)

 -- Jérôme Charaoui <build@runner-t1bkqzpa-project-1218-concurrent-0>  Tue, 25 Mar 2025 18:47:45 +0000

tor (0.4.8.16-1) unstable; urgency=medium

  * New upstream version.

 -- Jérôme Charaoui <jerome@riseup.net>  Tue, 25 Mar 2025 14:01:26 -0400

tor (0.4.8.15-1) unstable; urgency=medium

  * New upstream version.
  * Drop sandboxing patch which has been merged upstream.

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 20 Mar 2025 15:02:20 -0400

tor (0.4.8.14-1) unstable; urgency=medium

  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sat, 08 Feb 2025 10:39:20 +0100

## tor 0.4.8.16-1~noble+1trisquel5

=== debian/changelog ===
tor (0.4.8.16-1~noble+1trisquel5) ecne; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 26 Mar 2025 22:14:12 +0000

tor (0.4.8.16-1~noble+1) noble-backport; urgency=medium

  * Build for noble-backport.

 -- Jérôme Charaoui <build@runner-t1bkqzpa-project-1218-concurrent-0>  Tue, 25 Mar 2025 18:47:47 +0000

## tor 0.4.8.17-1~jammy+1+11.0trisquel3

=== debian/changelog ===
tor (0.4.8.17-1~jammy+1+11.0trisquel3) aramo; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 28 Jul 2025 18:50:26 +0000

tor (0.4.8.17-1~jammy+1) jammy-backport; urgency=medium

  * Build for jammy-backport.
  * Keep systemd files in /lib (as opposed to /usr/lib)

 -- Gabriel Filion <build@runner-t1bkqzpa-project-1218-concurrent-0>  Thu, 17 Jul 2025 21:15:40 +0000

tor (0.4.8.17-1) unstable; urgency=medium

  * New upstream version.

 -- Gabriel Filion <lelutin@torproject.org>  Thu, 17 Jul 2025 15:37:06 -0400

## tor 0.4.8.17-1~noble+1trisquel5

=== debian/changelog ===
tor (0.4.8.17-1~noble+1trisquel5) ecne; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 28 Jul 2025 18:50:31 +0000

tor (0.4.8.17-1~noble+1) noble-backport; urgency=medium

  * Build for noble-backport.

 -- Gabriel Filion <build@runner-t1bkqzpa-project-1218-concurrent-0>  Thu, 17 Jul 2025 21:15:42 +0000

## tor 0.4.8.18-1~jammy+1+11.0trisquel3

=== debian/changelog ===
tor (0.4.8.18-1~jammy+1+11.0trisquel3) aramo; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 17 Sep 2025 01:34:41 +0000

tor (0.4.8.18-1~jammy+1) jammy-backport; urgency=medium

  * Build for jammy-backport.
  * Keep systemd files in /lib (as opposed to /usr/lib)

 -- Jérôme Charaoui <build@runner-bkqzpa1bf-project-1218-concurrent-0>  Tue, 16 Sep 2025 18:17:53 +0000

tor (0.4.8.18-1) unstable; urgency=medium

  * New upstream version.

 -- Jérôme Charaoui <jerome@riseup.net>  Tue, 16 Sep 2025 13:05:13 -0400

## tor 0.4.8.18-1~noble+1trisquel5

=== debian/changelog ===
tor (0.4.8.18-1~noble+1trisquel5) ecne; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 17 Sep 2025 01:35:07 +0000

tor (0.4.8.18-1~noble+1) noble-backport; urgency=medium

  * Build for noble-backport.

 -- Jérôme Charaoui <build@runner-bkqzpa1bf-project-1218-concurrent-0>  Tue, 16 Sep 2025 18:17:55 +0000

## tor 0.4.8.19

=== debian/changelog ===
tor (0.4.8.19-0vanir1~bpo12+1) bookworm-backports-sloppy; urgency=medium

  * Rebuild for bookworm-backports-sloppy.

 -- Unit 193 <unit193@debian.org>  Tue, 07 Oct 2025 04:48:00 -0400

tor (0.4.8.19-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Tue, 07 Oct 2025 04:16:28 -0400

tor (0.4.8.18-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Fri, 19 Sep 2025 08:31:21 -0400

tor (0.4.8.17-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Mon, 28 Jul 2025 20:29:44 -0400

## tor 0.4.8.19-1~jammy%2B1%2B11.0trisquel3

=== debian/changelog ===
tor (0.4.8.19-1~jammy+1+11.0trisquel3) aramo; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 11 Oct 2025 00:53:57 +0000

tor (0.4.8.19-1~jammy+1) jammy-backport; urgency=medium

  * Build for jammy-backport.
  * Keep systemd files in /lib (as opposed to /usr/lib)

 -- Gabriel Filion <build@runner-0uop2-sxc-project-1218-concurrent-0>  Thu, 09 Oct 2025 21:10:01 +0000

tor (0.4.8.19-1) unstable; urgency=medium

  * New upstream version.

 -- Gabriel Filion <lelutin@torproject.org>  Thu, 09 Oct 2025 16:31:29 -0400

## tor 0.4.8.19-1~noble+1trisquel5

=== debian/changelog ===
tor (0.4.8.19-1~noble+1trisquel5) ecne; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 11 Oct 2025 00:54:03 +0000

tor (0.4.8.19-1~noble+1) noble-backport; urgency=medium

  * Build for noble-backport.

 -- Gabriel Filion <build@runner-0uop2-sxc-project-1218-concurrent-0>  Thu, 09 Oct 2025 21:10:03 +0000

## tor 0.4.8.20-1~jammy+1+11.0trisquel3

=== debian/changelog ===
tor (0.4.8.20-1~jammy+1+11.0trisquel3) aramo; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 11 Nov 2025 00:50:57 +0000

tor (0.4.8.20-1~jammy+1) jammy-backport; urgency=medium

  * Build for jammy-backport.
  * Keep systemd files in /lib (as opposed to /usr/lib)

 -- Jérôme Charaoui <build@runner-5lqhbg3av-project-1218-concurrent-1>  Mon, 10 Nov 2025 22:02:23 +0000

tor (0.4.8.20-1) unstable; urgency=medium

  * New upstream version.

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 10 Nov 2025 15:37:11 -0500

## tor 0.4.8.20-1~noble+1trisquel5

=== debian/changelog ===
tor (0.4.8.20-1~noble+1trisquel5) ecne; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 11 Nov 2025 00:51:02 +0000

tor (0.4.8.20-1~noble+1) noble-backport; urgency=medium

  * Build for noble-backport.

 -- Jérôme Charaoui <build@runner-5lqhbg3av-project-1218-concurrent-1>  Mon, 10 Nov 2025 22:02:25 +0000

## tor 0.4.8.21

=== debian/changelog ===
tor (0.4.8.21-0vanir1~bpo11+1) trixie-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Unit 193 <unit193@debian.org>  Wed, 19 Nov 2025 07:08:12 -0500

tor (0.4.8.21-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Tue, 18 Nov 2025 20:37:27 -0500

tor (0.4.8.20-0vanir1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Tue, 11 Nov 2025 01:35:12 -0500

=== debian/watch ===
version=3
http://dist.torproject.org/tor-([\d\.]+)\.tar\.(?:gz|bz2|xz)

## tor 0.4.8.21-1~jammy+1+11.0trisquel3

=== debian/changelog ===
tor (0.4.8.21-1~jammy+1+11.0trisquel3) aramo; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 18 Nov 2025 00:50:36 +0000

tor (0.4.8.21-1~jammy+1) jammy-backport; urgency=medium

  * Build for jammy-backport.
  * Keep systemd files in /lib (as opposed to /usr/lib)

 -- Jérôme Charaoui <build@runner-5lqhbg3av-project-1218-concurrent-1>  Mon, 17 Nov 2025 20:54:28 +0000

tor (0.4.8.21-1) unstable; urgency=medium

  * New upstream version.

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 17 Nov 2025 15:05:05 -0500

## tor 0.4.8.21-1~noble+1trisquel5

=== debian/changelog ===
tor (0.4.8.21-1~noble+1trisquel5) ecne; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 18 Nov 2025 00:50:41 +0000

tor (0.4.8.21-1~noble+1) noble-backport; urgency=medium

  * Build for noble-backport.

 -- Jérôme Charaoui <build@runner-5lqhbg3av-project-1218-concurrent-1>  Mon, 17 Nov 2025 20:54:30 +0000
